data:extend({
  {
    type = "custom-input",
    name = "summon-lightning",
    key_sequence = "mouse-button-1",
  },
  {  -- lightning bolt sprite, implemented as an explosion
    type = "explosion",
    name = "kel-lightning-bolt-explosion",
    animations = {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      width = 3,
      height = 50,
      frame_count = 1,
      line_length = 1,
    },
    -- beam = true,
    flags = { "not-on-map", "placeable-off-grid" },
    light = {
      color = { r=0, g=0, b=1 },
      intensity = 1,
      size = 20
    },
    rotate = false,
    smoke = "smoke-fast",
    smoke_count = 2,
    smoke_slow_down_factor = 1,
    sound = {
      {
        filename = "__base__/sound/fight/large-explosion-2.ogg",
        volume = 0.6,
      },
    },
  },
  {  -- lightning bolt projectile, which can be destroyed by lightning rods. spawns the bolt sprite (explosion)
    type = "projectile",
    name = "kel-lightning-bolt",
    acceleration = 0,
    rotatable = false,
    flags = { "not-on-map" },
    animation = {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      width = 3,
      height = 50,
      frame_count = 1,
      line_length = 1,
    },
    action = {
      type = "direct",
      action_delivery = {
        type = "instant",
        target_effects = {
          {  -- adapted from atomic bomb explosion
            type = "camera-effect",
            effect = "screen-burn",
            duration = 60,
            ease_in_duration = 5,
            ease_out_duration = 60,
            delay = 0,
            strength = 6,
            full_strength_max_distance = 200,
            max_distance = 800,
          },
          {
            type = "create-entity",
            entity_name = "medium-scorchmark",
            offsets = { { 0, -0.5 } },
            check_buildability = true,
          },
          {
            type = "create-explosion",
            entity_name = "kel-lightning-bolt-explosion",
            offsets = { { 0, -0.5 } },
            check_buildability = false,
          },
          {
            type = "damage",
            damage = { amount = 400, type = "explosion" }
          },
          {
            type = "destroy-decoratives",
            include_soft_decoratives = true, -- soft decoratives are decoratives with grows_through_rail_path = true
            include_decals = true,
            invoke_decorative_trigger = true,
            decoratives_with_trigger_only = false, -- if true, destroys only decoratives that have trigger_effect set
            radius = 3,
          },
        },
      },
    },
  },
})
